### Method

# Shumate Map set_map_source

#### Declaration [src]

    void
    shumate_map_set_map_source (
      ShumateMap* self,
      ShumateMapSource* map_source
    )

#### Description [src]

Changes the currently used map source. #g_object_unref() will be called on the previous one.

As a side effect, changing the primary map source will also clear all secondary map sources.

#### Parameters

`map_source`

  Type: `ShumateMapSource`

  A `ShumateMapSource`.

  The data is owned by the caller of the method.